using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class RightsDeleteA : DataAccessBase
	{
		public RightsDeleteA()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[RightsDeleteA]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramRightID;
		public System.Int32 RightID
		{
			get
			{
				return (System.Int32)paramRightID.Value;
			}
			set
			{
				paramRightID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramRightID = new SqlParameter();
			paramRightID.ParameterName = "@RightID";
			paramRightID.SqlDbType = SqlDbType.Int;
			paramRightID.Precision = 10;
			paramRightID.Scale = 0;
			paramRightID.Direction = ParameterDirection.Input;
			paramRightID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightID);
		}
	}
}